segmentation fault with Tkinter in Solaris (sft)

Fredrik Lundh effbot at telia.com
Wed Mar 29 21:26:49 CEST 2000


Ryan Thompson <ryan at angband.org> wrote:
> After a little more research I see that python 1.5.2 only works with
> tcl/tk 8.0 in solaris, but will not work with 8.1 or higher without
> patches. Is this true for 8.3?

most likely.

> Is the segfault behavior consistent with problems which might
> happen due to having tcl/tk 8.3 installed?

the usual effect is that you get a "cannot find tk libraries in"
followed by a couple of empty lines (instead of directory names),
but I suppose it might crash instead.

it definitely won't work without the patches, so you might as
well try them out...

</F>





More information about the Python-list mailing list